<< Image display | Image display | Image filtering >>

scicv >> Image display > matplot

# matplot

Displays an image

### Syntax

    img = matplot(img)

### Parameters

img

  Image to be displayed (`Mat` or a 2D matrix).

### Description

`matplot` displays an image, which type can be:

- `Mat` type, containing a binary, grayscale or a color image.
- matrix (2D) of type `double`, `int8`, `uint8`, `int16`, `uint16`, `int32`, `uint32`, for a gray or a binary image.
- hypermatrix (3D) of type `double`, `int8`, `uint8`, `int16`, `uint16`, `int32`, `uint32`, for a color image.

### Examples

    scicv_Init();

    img = imread(getSampleImage("lena.jpg"));

    matplot(img);

    delete_Mat(img);

    scicv_Init();

    img_gray = imread(getSampleImage("lena.jpg"), CV_LOAD_IMAGE_GRAYSCALE);

    matplot(img_gray);

    delete_Mat(img_gray);

### See also

- Mat

Report an issue
<< Image display | Image display | Image filtering >>